Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(894)

Unified Diff: scripts/image_signing/sign_official_build.sh

Issue 3151027: Hide packaged firmware AU signing behind a flag for now. (Closed) Base URL: http://src.chromium.org/git/vboot_reference.git
Patch Set: Created 10 years, 4 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « no previous file | no next file » | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: scripts/image_signing/sign_official_build.sh
diff --git a/scripts/image_signing/sign_official_build.sh b/scripts/image_signing/sign_official_build.sh
index 143d945acdbf61f35550bf61e729e33e98f50a27..628de44c6987242429c7d90131a6e0fb3fca5d2e 100755
--- a/scripts/image_signing/sign_official_build.sh
+++ b/scripts/image_signing/sign_official_build.sh
@@ -38,6 +38,12 @@ fi
# Abort on errors.
set -e
+# Make sure the tools we need are available.
+for prereqs in gbb_utility vbutil_kernel cgpt dump_kernel_config verity; do
+ type -P "${prereqs}" &>/dev/null || \
+ { echo "${prereqs} tool not found."; exit 1; }
+done
+
TYPE=$1
INPUT_IMAGE=$2
KEY_DIR=$3
@@ -205,7 +211,9 @@ sign_for_factory_install() {
echo "Output signed factory install image to ${OUTPUT_IMAGE}"
}
-if [ ! "${FW_NOUPDATE}" == "1" ]; then
+# Firmware payload signing hidden behind a flag until it actually makes
+# it into the image.
+if [ ! "${FW_UPDATE}" == "1" ]; then
resign_firmware_payload ${INPUT_IMAGE}
fi
« no previous file with comments | « no previous file | no next file » | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698